<?php
/************************************************************
* db_class.php 22.12.2005
* definition einer erweiterbaren datenbank.klasse
* dient dem ffnen einer datenbank und zugehrigen Eigenschaften
(c) j. mller-ltken
*************************************************************/

class db_zugang
{
 // membervariablen = daten der klasse
 var $database = "";
 //var $debug = false;
 var $message = "";
 var $conn = 0;
 var $result = 0;
 var $debug_flag;

//konstruktor, erbauer der klasse
 function db_zugang($server,$user,$password,$database,$debug=false,$persistent=false)
 {
  $this -> debug_flag = $debug;
  $this -> database = $database;
  if($persistent == false)
  {
   $this -> conn = @mysqli_connect($server,$user,$password);
  }
  else
  {
   $this -> conn = @mysqli_connect($server,$user,$password);
  }
  // fehlermeldung ausgeben, wenn keine verbindung hergestellt werden kann
  if(!$this -> conn)
  {
   if($this -> debug_flag == true)
   {
    $this -> message = "\r\n".date("d/m/Y-H:i:s")." Error beim Verbinden mit dem Datenbank-Management-System&nbsp;".$server."&nbsp;\r\n";
    $this -> error_out();
   }
  }
  else// if($this -> debug_flag == true)
  {
   @mysqli_select_db($this->database,$this->conn); // hier sollte auch noch eine eigene fehlermeldung eingebaut werden, falls die datenbank nicht existiert bzw. der Name falsch geschrieben wurde
   //$this -> message = "\r\n".date("d/m/Y-H:i:s")." Verbindung mit Datenbank-Management-System&nbsp;".$server."&nbsp;hergestellt!\r\n";
   //$this -> error_out();
  }
 }

 //funktion zum schlieen der verbindung zur datenbank, wenn diese im nicht-persistenten, d.h. normalen zustand geffnet wurde
 function db_close()
 {
  mysqli_close($this->conn);
  unset($this-> database);
 }

 //bernimmt einen frage(query)-string und gibt das resultat zurck
 function send_query($sql)
 {
  $this -> result = mysqli_query($this->conn, $sql);
  if($this -> debug_flag == true)
  {
   if($this->result)
   {
    $this -> message = $sql;
    $this -> error_out();
   }
   else
   {
    $this -> message = $sql."----".mysqli_error($this->conn);
    $this -> error_out();
   }
  }
  return $this -> result;
 }

 //bernimmt eine zeichenkette und ggf. einen Fragestring und gibt einen fehler aus und, wenn angestellt, an den administrator eine email mit dem fehler senden
 function error_out()
 {
  echo "<br>\n".$this->message."<br\n";
  @mail($admin_emailadresse,"Error",$this->message,"From:kontakt@p-six.de");
 }
}

$instanz_db = new db_zugang($server,$user,$password,$database,false,true);
$sql = "USE ".$database;
if($instanz_db)
	$result = $instanz_db -> send_query($sql);

?>